med-fichier (4.1.0+repack-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064244

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:51:14 +0000

med-fichier (4.1.0+repack-4) unstable; urgency=medium

  * Fix openmpi include dirs (closes: #1052753)
  * New patch: fix-stack-smashing-in-test.patch
    Fix a stash smashing error in a unit test

 -- Gilles Filippini <pini@debian.org>  Fri, 29 Sep 2023 20:43:42 +0200

med-fichier (4.1.0+repack-3) unstable; urgency=medium

  * New patch check_hdf5.patch to fix HDF5 version checking (Closes:
    #997351)

 -- Gilles Filippini <pini@debian.org>  Tue, 26 Oct 2021 00:03:04 +0200

med-fichier (4.1.0+repack-2) unstable; urgency=medium

  * New patch tests-fix-diff-filters.patch to fix FTBFS against s390x

 -- Gilles Filippini <pini@debian.org>  Tue, 25 Aug 2020 17:51:25 +0200

med-fichier (4.1.0+repack-1) unstable; urgency=medium

  * New upstream release
  * Drop patch fix-objects-mount.patch (fixed upstream)
  * Refresh patch reproducible-builds.patch
  * FFLAGS += -fallow-argument-mismatch to workaround FTBFS with GCC-10

 -- Gilles Filippini <pini@debian.org>  Tue, 25 Aug 2020 11:06:27 +0200

med-fichier (4.0.0+repack-9) unstable; urgency=medium

  * Build for every supported Python 3 release (closes: #945342)

 -- Gilles Filippini <pini@debian.org>  Sun, 24 Nov 2019 18:08:58 +0100

med-fichier (4.0.0+repack-8) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #937000).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Oct 2019 14:11:27 +0100

med-fichier (4.0.0+repack-7) unstable; urgency=medium

  * Re-enable parallel test on 32 bits architectures (#918157 now fixed)
  * New patch reproducible-build.patch to improve reproducibility

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Jan 2019 20:30:36 +0100

med-fichier (4.0.0+repack-6) unstable; urgency=medium

  * Temporarily disable parallel test on 32 bits architectures to
    workaround #918157

 -- Gilles Filippini <pini@debian.org>  Fri, 04 Jan 2019 13:10:20 +0100

med-fichier (4.0.0+repack-5) unstable; urgency=medium

  * Drop debian/source/lintian-overrides; these lintian tags were removed
    in 2012
  * libmedc?11: Breaks / Replaces libmedc?1v5 (= 4.0.0+repack-1)
    (Closes: #917788)

 -- Gilles Filippini <pini@debian.org>  Wed, 02 Jan 2019 19:42:17 +0100

med-fichier (4.0.0+repack-3) unstable; urgency=medium

  * Update debian/copyright and add missing copyrights for debian/*
    files
  * Fix debian/watch: use dversionmangle

 -- Gilles Filippini <pini@debian.org>  Mon, 24 Dec 2018 23:33:36 +0100

med-fichier (4.0.0+repack-3~exp1) experimental; urgency=medium

  * Build python packages

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Dec 2018 23:38:15 +0100

med-fichier (4.0.0+repack-2) unstable; urgency=medium

  * New patch build-doc.patch to fix documentation build

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Dec 2018 22:40:59 +0100

med-fichier (4.0.0+repack-2~exp1) experimental; urgency=medium

  * Rename packages to reflect soname bump (closes: #916881):
    - libmed1v5 -> libmed11
    - libmedc1v5 -> libmedc11

 -- Gilles Filippini <pini@debian.org>  Thu, 20 Dec 2018 23:34:28 +0100

med-fichier (4.0.0+repack-1) unstable; urgency=medium

  * Build depends on hdf5 >= 1.10.2 as requested by upstream
  * Enforce ld --as-needed for autopkgtests (closes: #914080)
  * Fix upstream homepage and download links (closes: #856855)
  * Add myself to uploaders

 -- Gilles Filippini <pini@debian.org>  Wed, 19 Dec 2018 11:54:42 +0100

med-fichier (4.0.0+repack-1~exp2) experimental; urgency=medium

  * New patch fix-objects-mount.patch to fix literal 0 used as med_idt
    (fix failing test20.c on 32 bits architectures)

 -- Gilles Filippini <pini@debian.org>  Sat, 15 Dec 2018 00:50:50 +0100

med-fichier (4.0.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop all patches (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Fri, 14 Dec 2018 19:28:38 +0100

med-fichier (3.3.1+repack-4) unstable; urgency=medium

  * Disable tests/parallel on mips as well

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Jul 2018 14:40:47 +0200

med-fichier (3.3.1+repack-3) unstable; urgency=medium

  * upload to unstable (previous upload erroneously targetted
    experimental)

 -- Gilles Filippini <pini@debian.org>  Sat, 14 Jul 2018 14:47:20 +0200

med-fichier (3.3.1+repack-2) unstable; urgency=medium

  * Fix autopkgtest: use mpicc instread of gcc

 -- Gilles Filippini <pini@debian.org>  Sun, 08 Jul 2018 17:20:46 +0200

med-fichier (3.3.1+repack-1) unstable; urgency=medium

  * Repack source tarball: remove doxygen generated files
  * Build-Depends-Indep: doxygen
  * override_dh_auto_*-indep targets to build the doc
  * Fix doc-base file references
  * Re-enable mpi-support for arm64
  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Thu, 05 Jul 2018 21:44:02 +0200

med-fichier (3.3.1-4) experimental; urgency=medium

  * libmedc-dev: install missing include files

 -- Gilles Filippini <pini@debian.org>  Mon, 02 Jul 2018 23:24:52 +0200

med-fichier (3.3.1-3) experimental; urgency=medium

  * New patch fix-tests-c-test11.patch: fix FTBFS on mips due to
    incorrect data type in printf for MED_INT64
  * New patch disable-parallel-test-on-some-archs.patch: disable
    tests/parallel for arches armel, hppa, hurd-i386, and ia64; it
    randomly hangs and I'm not sure it's related to med-fichier

 -- Gilles Filippini <pini@debian.org>  Thu, 07 Jun 2018 20:50:27 +0200

med-fichier (3.3.1-2) experimental; urgency=medium

  * Patch hdf5-1.10-support.patch: fix ISCRUTE_id() as well
  * New patch fix-typo-in-tests.patch to fix typos in some test scripts

 -- Gilles Filippini <pini@debian.org>  Fri, 01 Jun 2018 01:23:43 +0200

med-fichier (3.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Disable python module
  * Drop patches fixed upstream:
    - hdf5_link.patch
    - ppc64el-support.patch
    - tests-ignore-native-char-impl.patch
  * Disable patch clang-ftbfs.diff (need some testing)
  * Update patches:
    - hdf5-1.10-support.patch: many chuncks applied upstream, but still
      a lot to do, mainly for Fortran sources
    - parallel-test-seed.patch

 -- Gilles Filippini <pini@debian.org>  Thu, 31 May 2018 17:30:09 +0200

med-fichier (3.0.6-12) unstable; urgency=medium

  * Team upload.
  * [4e2709a] Set version 4.1.3
  * [361c3fe] Remove outdated testsuite-field in d/control
  * [5218d20] Update VCS-fields
  * [f7d40ff] Set compat-level 11
  * [33167e8] Remove uneeded build-depends
  * [ed5f433] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Mar 2018 21:57:05 +0100

med-fichier (3.0.6-11) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * Do not ignore testcase failures
  * Temporarily disabling MPI support for arm64 (not functionnal
    currently)
  * New patches:
    - hdf5-1.10-support.patch: fix HDF5 1.10 support (closes: #855130)
    - parallel-test-seed.patch: use the same random() seed for each MPI
      process
    - tests-ignore-native-char-impl.patch: patch some testcase scripts
      to ignore differences from arch specific native char types
  * Drop patch fix-fid-type-in-medequivinfo.patch now included into
    hdf5-1.10-support.patch

  [ Anton Gladky ]
  * Add --oversubscribe option to mpi to escape fails if slots are
    not available

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Feb 2017 16:37:45 +0100

med-fichier (3.0.6-10.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch fix-fid-type-in-medequivinfo.patch to fix FTBFS with
    HDF5 1.10 (closes: #841964)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:06:27 +0100

med-fichier (3.0.6-10) unstable; urgency=medium

  * [f6af4e3] Fix autopkgtest.
  * [7603827] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 20:06:34 +0200

med-fichier (3.0.6-9) unstable; urgency=medium

  * [b5c67e0] Fix wrong dependency on libmedc1.
  * [454f9a2] Remove all Conflicts.
  * [bdf5c53] Do not hardcode tk-version.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 19:54:27 +0200

med-fichier (3.0.6-8) unstable; urgency=medium

  * [8e33e7d] Set Standards-Version: 3.9.6. No changes.
  * [289a3b7] Renambe libmed*-libraries due to GCC-5 transition.
              (Closes: #791200)
  * [713e703] Apply cme fix dpkg-control.
  * [6a08e88] Update autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Aug 2015 19:34:51 +0200

med-fichier (3.0.6-7) unstable; urgency=medium

  * [0548f1d] Set minimal hdf5 version 1.8.13+docs-12.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Sep 2014 18:32:24 +0200

med-fichier (3.0.6-6) unstable; urgency=medium

  [ Arthur Marble ]
  * [ff1dec0] Fix FTBFS with clang. (Closes: #751174)

  [ Anton Gladky ]
  * [f9f364c] Fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 21:39:55 +0200

med-fichier (3.0.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756678).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 17:56:12 +0200

med-fichier (3.0.6-5) unstable; urgency=medium

  * [e70adff] Fix autotests.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 10:38:10 +0200

med-fichier (3.0.6-4) unstable; urgency=medium

  * [11910a4] Update autotest.
  * [9b7e17a] Add 2 more autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 16:16:55 +0200

med-fichier (3.0.6-3) unstable; urgency=medium

  [ Christophe Trophime ]
  * [e027393] Replace obsolete OMPI_MCA_plm_rsh_agent
  * [b328c8a] Fix running tests with openmpi 1.6.4

  [ Adam Conrad ]
  * [2f90c13] debian/patches/ppc64el-support.patch: Add ppc64el support.

  [ Anton Gladky ]
  * [1d6038c] Bump Standards-Versison: 3.9.5. No changes.
  * [92bb6fb] Use autoreconf. (Closes: #744629)
  * [62adfe2] Fix hdf5 linkage.
  * [149c48e] Do not break package building if autotest fails.
  * [56c09dd] Add autotest.
  * [9b4cd20] Ignore quilt dir.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Apr 2014 21:23:35 +0200

med-fichier (3.0.6-2) unstable; urgency=low

  * [a8dd404] Use autotools_dev for dh-rules. (Closes: #727456)
  * [4ff1a89] Disable autotests on some archs.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Oct 2013 17:53:41 +0200

med-fichier (3.0.6-1) unstable; urgency=low

  [ Sergei Golovan ]
  * [1d72885] Switch from tk8.4 to tk dependencies. (Closes: #725337)

  [ Anton Gladky ]
  * [07b1279] Imported Upstream version 3.0.6. (Closes: #659960)
  * [f6142f8] Remove all old patches.
  * [540f803] Use cmake for build.
  * [e55a11a] Add mpi-default-dev and mpi-default-bin to BD.
  * [ab59d3e] Add a workaround to start MPI-applications in chroot.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Oct 2013 20:38:21 +0200

med-fichier (3.0.3-5) unstable; urgency=low

  * [42214bd] Disable tests on some platforms.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 07:52:00 +0200

med-fichier (3.0.3-4) unstable; urgency=low

  * [ef4dc10] Remove README.source.
  * [fa31282] Use compat-level 9.
  * [d6e4193] Remove obsolete DM-Upload-Allowed flag.
  * [e4d4401] Use canonical VCS-field.
  * [a67e7b0] Bumped Standards-Version 3.9.4. No changes.
  * [c46fe2d] Update/simpify debian/rules.
  * [ae2ab2d] Disable failing tests.
  * [2238f3f] Set multiarched paths in libraries.
  * [133b58b] Use autoreconf.
  * [ff9144a] Add myself to uploaders.
  * [084ec48] Add multi-arch sections in debian/control
  * [b8ea3be] Use DEP-5 for copyright file.
  * [24f5fb0] Use wrap-and-source.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Oct 2013 19:45:49 +0200

med-fichier (3.0.3-3) unstable; urgency=low

  * Team upload
  * Rebuild with hdf5 1.8.8
  * FTBFS libtool version mismatch errors fixed.
    Thanks to Peter Green for the patch (Closes: #656740)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Jan 2012 08:55:56 +0100

med-fichier (3.0.3-2) unstable; urgency=low

  * Removed "git checkout" from clean target (closes: #645930).
  * Rebuild fixes libtool version mismatch (closes: #628340).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 19 Oct 2011 15:24:32 -0400

med-fichier (3.0.3-1) unstable; urgency=low

  * New upstream (closes: #626828).
  * Forward-ported patches to new version.
  * Eliminated the restore-tree patch in favor of git checkouts.
  * Moved the xmdump path fix patch into the numbered series.
  * Include v2.3.6 headers in libmed-dev and libmedc-dev.
  * Removed obsolete libmedimportcxx* packages and moved headers to
    libmedimport-dev.
  * Removed tests in /usr/bin subdirs.
  * libmed-doc files are now in /usr/share/doc/libmed-doc/html .
  * Added build-arch and build-indep targets.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 19 Oct 2011 13:36:48 -0400

med-fichier (2.3.6-6) unstable; urgency=low

  * Added libhdf5-mpi-dev to libmedc-dev Depends (closes: #617729).
  * Bumped Standards-Version, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 01 Apr 2011 16:53:43 -0400

med-fichier (2.3.6-5) unstable; urgency=low

  * Reverted last change, added med_exit_if.h to libmedc-dev (closes: #599052).
  * Added conflict with problematic libmed-dev 2.3.6-4 (closes: #604626).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 28 Nov 2010 08:52:54 -0500

med-fichier (2.3.6-4) unstable; urgency=low

  * Changed libmed-dev install file to include all headers (closes: #599052).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 22 Nov 2010 14:08:01 -0500

med-fichier (2.3.6-3) unstable; urgency=low

  * Changed control file to conform to Debian Science Policy Manual.
  * Fixed path setting in xmdump to point to mdump (closes: #585516).
  * Added patch and unpatch into debian/rules targets.
  * Added lintian overrides for Adam Powell's name.
  * Bumped Standards-Version, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 Jul 2010 16:50:52 -0400

med-fichier (2.3.6-2) unstable; urgency=low

  * Added comments to most patches.
  * Switch to using MPI version of HDF5 (closes: #566828).
  * Add library links to make MPI version of HDF5 work.
  * Extended C++-safety.
  * Added missing files medimport[cxx]_win_dll.h to libmedimport[cxx]-dev.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 27 Apr 2010 14:33:52 -0400

med-fichier (2.3.6-1) unstable; urgency=low

  * New upstream (closes: #563824).
  * Changed to team maintenance by debian-science.
  * Added Adam Powell (me) to Uploaders (with orig maintainer permission).
  * Bumped Standards-Version.
  * Added Homepage to control.
  * Updated copyright file to new version, and corrected source URL.
  * Updated to source format 3.0 (quilt).
  * Forward-ported all patches to new upstream.
  * Added new patch to remove files removed during build/binary/clean process.
  * Fixed C++ unsafe include of med.h (closes: #564586).
  * Added libtoolize to make build target work.
  * Removed .la files from -dev packages.
  * Added ${misc:Depends} to all binaries without it.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sat, 06 Feb 2010 23:47:59 -0500

med-fichier (2.3.5-2) unstable; urgency=low

  * Use quilt for patch management.
  * Enable AM_MAINTAINER_MODE and regenerate autotools related files.
    (closes: bug#554502).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Nov 2009 14:23:22 +0000

med-fichier (2.3.5-1) unstable; urgency=low

  * New upstream version.
    - Fix build with recent hdf5 (closes: bug#542340).
    - New packages: libmedimport0, libmedimport-dev, libmedimportcxx0 and
      libmedimportcxx-dev.
  * Change section of libraries to libdevel
  * Change doc-base section to Science/Data Analysis from Apps/Programmming.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Switch to debhelper 5.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Aug 2009 15:33:03 +0000

med-fichier (2.3.1-2) unstable; urgency=low

  * Switch to gfortran from g77.
  * Fix tests/f/test33.f.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jul 2007 02:12:49 +0200

med-fichier (2.3.1-1) unstable; urgency=low

  * New upstream version.
  * Make the package binNMU safe.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:31:55 +0100

med-fichier (2.2.3-2) unstable; urgency=low

  * Added support for GNU/kFreeBSD.
  * Relibtoolize at build time.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Aug 2006 15:15:53 +0200

med-fichier (2.2.3-1) unstable; urgency=low

  * Initial Release (Closes: bug#381568).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  5 Aug 2006 16:58:43 +0200
